package com.inspect.metadata.mqtt.service.impl;

import com.inspect.metadata.mqtt.domain.HrNest;
import com.inspect.metadata.mqtt.mapper.HrNestMapper;
import com.inspect.metadata.mqtt.service.IHrNestService;
import com.inspect.metadata.mqtt.vo.HrHealthEvaluateVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
@RequiredArgsConstructor
public class HrNestServiceImpl implements IHrNestService {
    private final HrNestMapper hrNestMapper;

    @Override
    public List<HrNest> selectNestList(HrNest nest) {
        return hrNestMapper.selectNestList(nest);
    }

    @Override
    public HrNest selectNestByCode(String nestCode) {
        return hrNestMapper.selectNestByCode(nestCode);
    }

    @Override
    public int deleteBeforeDaysAgo(int days) {
        return hrNestMapper.deleteBeforeDaysAgo(days);
    }
}
